# GYM environments in SUMO

This is a GYM wrapper around the SUMO simulator. It loads basic SUMO network files and allows to control diverses elements of the network.

Currently, one environment is implemented:

 * `CrossroadSumo-v0`: control a traffic light at a busy intersection. The actions are _stay_, _switch_.

# Installation

The main requirement is to have installed [SUMO](https://github.com/eclipse/sumo). There might be binaries available for your distribution. **However**, `gym-sumo` uses the python wrapper `libsumo` under the hood (to avoid TCP overhead), and this wrapper might not be available in the binaries. It is thus recommended to [install from source](https://github.com/eclipse/sumo#build-and-installation).

Once SUMO is installed (don't forget to export `SUMO_HOME`), you can install `gym-sumo` as a pip package.

```
pip install -e .
```